Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.syndication.io
Interface WireFeedGenerator

All Known Implementing Classes:
  Atom03Generator, Atom10Generator, BaseWireFeedGenerator, RSS090Generator, RSS091NetscapeGenerator, RSS091UserlandGenerator, RSS092Generator, RSS093Generator, RSS094Generator, RSS10Generator, RSS20Generator

    public interface WireFeedGenerator

Generates an XML document (JDOM) out of a feed for a specific real feed type.

WireFeedGenerator instances must thread safe.

TODO: explain how developers can plugin their own implementations.

Author:
  Alejandro Abdelnur

Method Summary
`org.jdom.Document` | `generate(WireFeed feed)` Creates an XML document (JDOM) for the given feed bean.
`String` | `getType()` Returns the type of feed the generator creates.

Method Detail

### getType

    String getType()

  Returns the type of feed the generator creates.

  Returns:
    the type of feed the generator creates.
  See Also:
    `for details on the format of this string.

    `

### generate

    org.jdom.Document generate(WireFeed feed)
                               throws IllegalArgumentException,
                                      FeedException

  Creates an XML document (JDOM) for the given feed bean.

  Parameters:
    `feed` - the feed bean to generate the XML document from.
  Returns:
    the generated XML document (JDOM).
  Throws:
    `IllegalArgumentException` - thrown if the type of the given feed bean does not match with the type of the WireFeedGenerator.
    `FeedException` - thrown if the XML Document could not be created.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2013 ROME Project. All Rights Reserved.